.mod-printers-grid
  font-size: 13px

  .connect,
  .clear-build-plate
    button
      width: 100%
      padding: 15px 10px

  .temperatures
    position: absolute
    +display(flex)
    margin-left: -20px
    margin-right: -20px
    bottom: 0
    width: 100%

    .box
      +flex-grow(1)
      border: 2px solid $color-grey-border
      border-width: 1px 1px 0 0
      padding: 20px 10px 10px 10px
      text-align: center

    .box:last-child
      border-right-width: 0px

    .name
      color: $color-grey-text

    .temperature
      font-family: $font-family-header
      margin-bottom: 10px
      font-size: 20px

  .jobname,
  .status
    margin: 12px 0

    +for-tablet-and-under
      margin: 9px 0

  .job-owner
    margin-top: 12px

    +for-tablet-and-under
      margin-top: 9px

    &+ .jobname
      margin-top: 5px

  .grid-item
    position: relative
    width: 100%

    +for-size-and-up(700px)
      width: (100%/2)

    +for-size-and-up(1000px)
      width: (100%/3)

    +for-size-and-up(1200px)
      width: (100%/4)

    .top
      position: relative
      border: 1px transparent solid
      border-bottom-width: 0
      padding: 20px 20px 10px 20px
      height: 250px

    .bottom
      position: relative

    .dropdown-menu
      position: absolute
      right: 40px
      top: 40px

      ul
        width: 180px

  .time-info
    +display(flex)
    +justify-content(space-between)
    bottom: 20px
    color: #fff
    font-size: 16px
    left: 30px
    position: absolute
    right: 30px

    +for-tablet-and-under
      font-size: 14px
      left: 20px
      right: 20px

  .clear-build-plate
    padding-top: 10px

    .description
      font-size: 12px
      margin-bottom: 10px

    button
      margin-left: 0

  .eta
    right: 0

  .print-time-left
    left: 0

  .jobname
    +ellipsis
    color: $color-grey-text
    display: block

  .status
    +display(flex)
    color: $color-grey-text

    .progress-bar
      +flex-grow(1)
      margin-left: 10px

  .grid-item
    &[data-state="error"]
      .status
        color: $color-orange

      .top
        border-color: $color-orange

    &[data-state="heating"],
    &[data-state="printing"]
      .status
        color: $color-blue

      .status-label
        line-height: 12px

    &[data-state="blocked"]
      .printer-name a,
      .status,
      .camera,
      .dropdown-menu
        color: lighten($color-grey-text, 10%)
